Bug 30735 - virge dx video corruption
virge dx video corruption
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-05 19:11 EST by das_deniz
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 16:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description das_deniz 2001-03-05 19:11:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


i have a virge/dx adapter (diamond stealth 3d 2000 pro)
with 4MB ram, and a nokia 446Xpro monitor that i am trying
to run at 16bpp 1280x1024 but with both the fisher and wolverine
release there is alot of vertical striping even with a static
display. (i tried the options to turn accel off, and others
listed at www.xfree86.org/4.0/s3virge.4.html to no avail)

so i run 24bpp at 1024x768 and, although the static screen
is fine, as soon as the screen needs updating it flashes
horizontal corrupting lines until the update is finished.

would be very happy to have this go away!

thanks.

Reproducible: Always
Steps to Reproduce:
1. use s3 virge/dx graphics card w/ 4MB ram
2. startX with 16bpp 1280x1024
3. look at screen (after login if using gdm)
	

Actual Results:  vertical striping video corruption

Expected Results:  nice crisp display without corruption while static or 
refreshing

these settings are fine under 7.0 (unsure which XFree version
i am running (4.0.x or 3.x) it is whatever ships with rh7.0
and runs by default as i haven't forced anything with user settings
except to get the ctl-caps to swap and a imps2 scroll wheel working)
Comment 1 Mike A. Harris 2001-03-06 03:29:47 EST
Use XFree86 3.3.6 instead, try:

Xconfigurator --preferxf3

The Virge driver in 4.x is b0rken currently, and the XFree86 team hasn't
found a fix yet to my knowledge.
Comment 2 Mike A. Harris 2001-07-16 04:12:50 EDT
Can you try using the current rawhide release and see how this driver has
matured?  It may solve the problem for you now in release 4.1.0.  Or are you
still having this problem?
Comment 3 das_deniz 2001-09-02 13:41:39 EDT
sorry i don't when exactly the problem went away... but it has.
i think it was an update XFree release via up2date.

anyway you'd probably like to close this so please do.
(i'll let you know how the roswell release is going, next!)

thanks

das
Comment 4 das_deniz 2002-05-13 22:52:41 EDT
it's back - video corruption as described in this bug for the
redhat 7.3 release using XFree86 4.2.0 and s3virge server...
Comment 5 Mike A. Harris 2002-05-21 01:09:44 EDT
Please try using:

Xconfigurator --preferxf3

Does that work?
Comment 6 das_deniz 2002-05-21 22:23:12 EDT
yes as you mentioned before i tried 'Xconfigurator --preferxf3' with no better
results. i have also tried 'NoAccel' with no improvement. is there a X mail list
you'd like to refer me to for suggestions/bug reporting? thanks
Comment 7 das_deniz 2002-05-21 23:30:30 EDT
after trying 'Xconfigurator --expert --preferxf3 --server XF86_S3V' and 
getting similar results i played with the commented out 'Option' lines in 
the /etc/X11/XF86Config-4 file.

uncommenting these lines gave a very stable display if it starts clean:

     Option "xaa_benchmark"
     Option "fifo_moderate"
     Option "pci_burst_on"
     Option "pci_retry"

for both /etc/X11/X -> ../../usr/X11R6/bin/XF86_SVGA
and      /etc/X11/X -> ../../usr/X11R6/bin/XF86_S3V

but, of course, there remains one problem ...

when X starts up it is some times horribly corrupted with vertical 
lines and hazing. C-A-bksp enough (gdm) and eventually i get a stable,
uncorrupted display. amen.

Comment 8 Need Real Name 2002-05-29 06:43:05 EDT
I have a similar problem I have video card S3 Virge/DX 375 a NEC SyncMaster E500
Monitor. I can finish the installation for RH 7.3 but when the graphical login
is start the monitor turn black and the computer hang up completely, I cannot
switch to an other console or kill x with keyboard combination, the only way is
to switch off or reset.

I have turn off the graphical login and tried to start X with "xstart" but i get
the same result. I have tried to reconfigure X with Xconfigurator try to
indicate a different monitor with lower spec or different Virge driver. I have
tried the Xconfigurator with --preferxf3 but I get no god result, I cannot even
fish to run Xconfiguartor because when it tries to test the new configuration it
hangs

The only time I can see the graphics is during the installation it even
postivelly test the X but when it reboot it just hangs.
Comment 9 Need Real Name 2002-05-29 06:45:00 EDT
I have a similar problem I have video card S3 Virge/DX 375 a NEC SyncMaster E500
Monitor. I can finish the installation for RH 7.3 but when the graphical login
is start the monitor turn black and the computer hang up completely, I cannot
switch to an other console or kill x with keyboard combination, the only way is
to switch off or reset.

I have turn off the graphical login and tried to start X with "xstart" but i get
the same result. I have tried to reconfigure X with Xconfigurator try to
indicate a different monitor with lower spec or different Virge driver. I have
tried the Xconfigurator with --preferxf3 but I get no god result, I cannot even
fish to run Xconfiguartor because when it tries to test the new configuration it
hangs

The only time I can see the graphics is during the installation it even
postivelly test the X but when it reboot it just hangs.
Comment 10 das_deniz 2002-06-21 16:55:17 EDT
alright i think my reopening of this bug was prompted by an LCD/Monitor 
problem and not a s3virge problem. if i reduce the vrefresh to a 55-60Hz
range (instead of the manual's 55-75Hz spec - discovered during Xconfig
plug-and-play detection? RADIUS H 30-80 V 56-75). if i force this down
i always get a clean display at startup.

so i think this is a KDS RAD-7 xfree timing problem, not an xfree s3virge 
problem. (just to be sure i did Xconfigurator --preferxf4 (to get the link
/etc/X11/X -> ../../usr/X11R6/bin/XFree86) and everything is still crystal.

now my gripe is that the xfree timing and phase driving the LCD is *NEVER*
as clear as it is under Windows 2000 -- I've read the e.s.r. xfree vid time
howto and i've tweaked, ad nausim, with xvidtune to no avail. 

can i open a bug about this?

thanks for your patience.
Comment 11 Mike A. Harris 2002-06-22 05:12:20 EDT
You can open a bug about it, but in all reality the 3.3.6 servers are
not really supported other than for major security issues.  Any bugs
still present in XFree86 3.3.6 are more or less permanent.  It is totally
unmaintained upstream, and we provide it only so that users of hardware
that does not work with 4.x at all, have _something_ to use for the time
being.  So realistically, I'd be lying if I said reporting the problem
in another bug report would result in it being fixed.

S3 hardware is quite old, and is not well maintained nowadays upstream.
In order to fix bugs in the drivers, it requires both having the actual
specific video card that the problem is occuring on, as well as having
the technical reference manuals for the hardware.  I have absolutely no
S3 hardware or technical documentation whatsoever.

The absolute best place to report all S3 related bugs is directly to
XFree86.org via the xpert@xfree86.org mailing list, and the
xfree86@xfree86.org bug report address.  Since it is older hardware
however, getting bugs fixed for it may prove difficult.

Alternatively you may wish to try the "vesa" driver.

Sorry, but there is not really anything that I can do about this issue.
Comment 12 das_deniz 2002-06-22 10:11:28 EDT
sorry i guess i wasn't short and clear.

s3virge in XFree86 4.2 is fine

monitor detection and driving of KDS RAD-7 17" 
LCD seems flawed at 75Hz but fine at 60Hz -- 
this was the 'new bug' question.

all clear. thanks.

Note You need to log in before you can comment on or make changes to this bug.